Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLParser Class Reference

`#include <vtkXMLParser.h>`

Inheritance diagram for vtkXMLParser:

[legend]
Collaboration diagram for vtkXMLParser:

[legend]
List of all members.

## Detailed Description

Parse XML to handle element tags and attributes.

Date:
  2002/12/27 13:20:03

Revision:
  1.10

vtkXMLParser reads a stream and parses XML element tags and corresponding attributes. Each element begin tag and its attributes are sent to the StartElement method. Each element end tag is sent to the EndElement method. Subclasses should replace these methods to actually use the tags. ToDo: Add commands for parsing in Tcl.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (70%)
  - Cedilnik, Andy (29%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLParser.cxx)`
  - .`h` (`/IO/vtkXMLParser.h)`

Tests:
  vtkXMLParser (Tests)

Definition at line 56 of file vtkXMLParser.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual int | Parse ()
virtual void | SetStream (istream *)
virtual istream * | GetStream ()
virtual int | Parse (const char *inputString)
virtual int | Parse (const char *inputString, unsigned int length)
virtual int | InitializeParser ()
virtual int | ParseChunk (const char *inputString, unsigned int length)
virtual int | CleanupParser ()
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLParser * | SafeDownCast (vtkObject *o)
vtkXMLParser * | New ()
## Protected Methods
| vtkXMLParser ()
| ~vtkXMLParser ()
virtual int | ParseXML ()
virtual int | ParsingComplete ()
virtual void | StartElement (const char *name, const char **atts)
virtual void | EndElement (const char *name)
virtual void | CharacterDataHandler (const char *data, int length)
virtual void | ReportStrayAttribute (const char *element, const char *attr, const char *value)
virtual void | ReportMissingAttribute (const char *element, const char *attr)
virtual void | ReportBadAttribute (const char *element, const char *attr, const char *value)
virtual void | ReportUnknownElement (const char *element)
virtual void | ReportXmlParseError ()
unsigned long | GetXMLByteIndex ()
virtual int | ParseBuffer (const char *buffer, unsigned int count)
int | ParseBuffer (const char *buffer)
## Static Protected Methods
int | IsSpace (char c)
## Protected Attributes
istream * | Stream
char * | FileName
int | ParseError
const char * | InputString
int | InputStringLength
void * | Parser
## Friends
void | vtkXMLParserStartElement (void *, const char *, const char **)
void | vtkXMLParserEndElement (void *, const char *)
void | vtkXMLParserCharacterDataHandler (void *, const char *, int)

## Member Typedef Documentation

typedef vtkObject vtkXMLParser::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkXMLDataParser, and vtkXMLFileReadTester. Definition at line 59 of file vtkXMLParser.h.

## Constructor & Destructor Documentation

vtkXMLParser::vtkXMLParser | ( |  | ) | `[protected]`

vtkXMLParser::~vtkXMLParser | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLParser::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkXMLDataParser, and vtkXMLFileReadTester.

int vtkXMLParser::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkXMLDataParser, and vtkXMLFileReadTester.

virtual int vtkXMLParser::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkXMLDataParser, and vtkXMLFileReadTester.

vtkXMLParser* vtkXMLParser::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkXMLDataParser, and vtkXMLFileReadTester.

void vtkXMLParser::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtkXMLDataParser, and vtkXMLFileReadTester.

vtkXMLParser* vtkXMLParser::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkXMLDataParser, and vtkXMLFileReadTester.

virtual void vtkXMLParser::SetStream | ( | istream * |  | ) | `[virtual]`

| Get/Set the input stream.

virtual istream* vtkXMLParser::GetStream | ( |  | ) | `[virtual]`

| Get/Set the input stream.

virtual int vtkXMLParser::Parse | ( |  | ) | `[virtual]`

| Parse the XML input. Reimplemented in vtkXMLDataParser.

virtual int vtkXMLParser::Parse | ( | const char * | inputString | ) | `[virtual]`

| Parse the XML message. If length is specified, parse only the first "length" characters Reimplemented in vtkXMLDataParser.

virtual int vtkXMLParser::Parse | ( | const char * | inputString,
|  | unsigned int | length
| ) | `[virtual]`

| Parse the XML message. If length is specified, parse only the first "length" characters Reimplemented in vtkXMLDataParser.

virtual int vtkXMLParser::InitializeParser | ( |  | ) | `[virtual]`

| When parsing fragments of XML or streaming XML, use the following three methods. InitializeParser method initialize parser but does not perform any actual parsing. ParseChunk parses framgent of XML. This has to match to what was already parsed. CleanupParser finishes parsing. If there were errors, CleanupParser will report them.

virtual int vtkXMLParser::ParseChunk | ( | const char * | inputString,
|  | unsigned int | length
| ) | `[virtual]`

| When parsing fragments of XML or streaming XML, use the following three methods. InitializeParser method initialize parser but does not perform any actual parsing. ParseChunk parses framgent of XML. This has to match to what was already parsed. CleanupParser finishes parsing. If there were errors, CleanupParser will report them.

virtual int vtkXMLParser::CleanupParser | ( |  | ) | `[virtual]`

| When parsing fragments of XML or streaming XML, use the following three methods. InitializeParser method initialize parser but does not perform any actual parsing. ParseChunk parses framgent of XML. This has to match to what was already parsed. CleanupParser finishes parsing. If there were errors, CleanupParser will report them.

virtual void vtkXMLParser::SetFileName | ( | const char * |  | ) | `[virtual]`

| Set and get file name. Reimplemented in vtkXMLFileReadTester.

virtual char* vtkXMLParser::GetFileName | ( |  | ) | `[virtual]`

| Set and get file name. Reimplemented in vtkXMLFileReadTester.

virtual int vtkXMLParser::ParseXML | ( |  | ) | `[protected, virtual]`

virtual int vtkXMLParser::ParsingComplete | ( |  | ) | `[protected, virtual]`

| Reimplemented in vtkXMLDataParser, and vtkXMLFileReadTester.

virtual void vtkXMLParser::StartElement | ( | const char * | name,
|  | const char ** | atts
| ) | `[protected, virtual]`

| Reimplemented in vtkXMLDataParser, and vtkXMLFileReadTester.

virtual void vtkXMLParser::EndElement | ( | const char * | name | ) | `[protected, virtual]`

| Reimplemented in vtkXMLDataParser.

virtual void vtkXMLParser::CharacterDataHandler | ( | const char * | data,
|  | int | length
| ) | `[protected, virtual]`

virtual void vtkXMLParser::ReportStrayAttribute | ( | const char * | element,
|  | const char * | attr,
|  | const char * | value
| ) | `[protected, virtual]`

| Reimplemented in vtkXMLFileReadTester.

virtual void vtkXMLParser::ReportMissingAttribute | ( | const char * | element,
|  | const char * | attr
| ) | `[protected, virtual]`

| Reimplemented in vtkXMLFileReadTester.

virtual void vtkXMLParser::ReportBadAttribute | ( | const char * | element,
|  | const char * | attr,
|  | const char * | value
| ) | `[protected, virtual]`

| Reimplemented in vtkXMLFileReadTester.

virtual void vtkXMLParser::ReportUnknownElement | ( | const char * | element | ) | `[protected, virtual]`

| Reimplemented in vtkXMLFileReadTester.

virtual void vtkXMLParser::ReportXmlParseError | ( |  | ) | `[protected, virtual]`

| Reimplemented in vtkXMLFileReadTester.

unsigned long vtkXMLParser::GetXMLByteIndex | ( |  | ) | `[protected]`

virtual int vtkXMLParser::ParseBuffer | ( | const char * | buffer,
|  | unsigned int | count
| ) | `[protected, virtual]`

| Reimplemented in vtkXMLDataParser.

int vtkXMLParser::ParseBuffer | ( | const char * | buffer | ) | `[protected]`

int vtkXMLParser::IsSpace | ( | char | c | ) | `[static, protected]`

## Friends And Related Function Documentation

void vtkXMLParserStartElement | ( | void * | ,
|  | const char * | ,
|  | const char ** |
| ) | `[friend]`

void vtkXMLParserEndElement | ( | void * | ,
|  | const char * |
| ) | `[friend]`

void vtkXMLParserCharacterDataHandler | ( | void * | ,
|  | const char * | ,
|  | int |
| ) | `[friend]`

## Member Data Documentation

istream* vtkXMLParser::Stream`[protected]`

| Definition at line 104 of file vtkXMLParser.h.

char* vtkXMLParser::FileName`[protected]`

| Reimplemented in vtkXMLFileReadTester. Definition at line 107 of file vtkXMLParser.h.

int vtkXMLParser::ParseError`[protected]`

| Definition at line 111 of file vtkXMLParser.h.

const char* vtkXMLParser::InputString`[protected]`

| Definition at line 114 of file vtkXMLParser.h.

int vtkXMLParser::InputStringLength`[protected]`

| Definition at line 115 of file vtkXMLParser.h.

void* vtkXMLParser::Parser`[protected]`

| Definition at line 118 of file vtkXMLParser.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLParser.h